import { RestApiRouteHandler, RestPathParams, RestQueryParams, RestRequestBody, RestRequestHeaders, RestRequireAuthentication, RestResponseBody } from '../types';
import { APIGatewayProxyEvent, APIGatewayProxyResult } from 'aws-lambda';
type AnyRestApiRouteHandler = RestApiRouteHandler<RestPathParams, RestQueryParams, RestRequestHeaders, RestRequestBody, RestResponseBody, RestRequireAuthentication>;
export declare class RestApi {
    private routeHandlers;
    addRouteHandler(routeHandler: AnyRestApiRouteHandler): this;
    handleRequest(proxyEvent: APIGatewayProxyEvent): Promise<APIGatewayProxyResult>;
    private getMatchingRouteHandlers;
    private getMatchingRouteHandler;
    private extractPathParams;
    private extractQueryParams;
}
export {};
